<div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">group</i>
	                        </div>
						    <h4 class="card-title">
						        <span>User Account Management</span>
						
						       <button id="jh-create-entity" class="btn btn-success float-right jh-create-entity create-kelas" (click)="newUser()">
						            <i class="material-icons">add</i>
						            <span>
						            Tambahkan
						            </span>
						        </button>
							</h4>
							</div>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="card-body">
    <div class="table-responsive-sm" *ngIf="users">
        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
            <tbody>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)" class="textH">
                <td scope="col" class="text-left"><span>NO.</span></td>
                <td scope="col" class="d-sm-table-cell"><span>NAMA</span></td>
                <td scope="col" class="d-none d-sm-table-cell"><span>EMAIL</span></td>
                <td scope="col" class="d-sm-table-cell"><span>CABANG</span></td>
                <td scope="col" class="d-sm-table-cell"><span>AUTH</span></td>
                <td scope="col" class="d-sm-table-cell"><span>STATUS</span></td>
                <td scope="col" class="d-sm-table-cell"></td>
            </tr>
            </tbody>
            <tbody *ngIf ="users">
            <tr *ngFor="let user of users; trackBy: trackIdentity let i= index" class="textB">
			    <td class="text-left d-sm-table-cell">{{((page-1) * itemsPerPage)+(i+1) }}</td>
                <td class="text-left d-sm-table-cell">{{user.firstName + ' ' +user.lastName}}</td>
                <td class="text-left d-none d-sm-table-cell">{{user.email}}</td>
                <td class="text-left d-sm-table-cell">{{user.cabangName}}</td>
                <td class="text-left d-sm-table-cell">{{user.authorities}}</td>
                <td class="text-left d-sm-table-cell">
					<span  *ngIf="!user.activated" class="text-inactive">inactive</span>
					<span *ngIf="user.activated" class="text-active">active</span>
				</td>
                <td class="text-right d-sm-table-cell">
                    <div class="btn-group">
		               	<button class="btn btn-info btn-sm btn-round" 
		                (click)="detailUser(user)">
	                     			<i class="material-icons">visibility</i>
				        </button>
		               	<button class="btn btn-danger btn-sm btn-secondary btn-round" 
		                (click)="setActive2(user.id)" *ngIf="user.activated">
	                     			<i class="material-icons">power_settings_new</i>
				        </button>
		               	<button class="btn btn-secondary btn-sm btn-secondary btn-round" 
		                (click)="setActive2(user.id)" *ngIf="!user.activated">
	                     			<i class="material-icons">power_settings_new</i>
				        </button>
		               	<!--<button class="btn btn-warning btn-sm btn-round" 
		                (click)="detailUser(user)">
	                     			<i class="material-icons">edit</i>
				        </button>-->
                    </div>
			    </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="users">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>
